Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class GroupProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.security.GroupProcessor

public class GroupProcessor
extends AbstractPortalProcessor

Assign a group to the user profile if the user has one and only one group and return "success". Otherwise return "need_group" and put a `List` of PortalGroups in the `PipelineSession` request scoped under the key `SecurityConstants.PSK_USERS_GROUPS```

See Also:
  `SecurityConstants.NEED_GROUP`, `GroupPortal`

Constructor Summary
`GroupProcessor()`

Method Summary
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Invoke the processor, called from webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupProcessor

    public GroupProcessor()

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Invoke the processor, called from webflow.

  Overrides:
    process in class AbstractPortalProcessor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved